function Psi = compute_Psi_k(alpha,N,nu)

M = length(alpha) - 1;
Psi = zeros(N+1,1);

alpha_ext = intval([alpha;zeros(2*N,1)]);

for k = 0:N
   ell = (N+1:k+M)';
   omega = 2*nu.^ell;
   Psi(k+1) = max(sup(abs( alpha_ext(k+ell+1) + alpha_ext(abs(k-ell)+1) )./omega));
    
end

Psi = intval(Psi);

end

