function [] = plot_periodic_orbit(x,m)

tau = x(1);
a = x(5:end);
d = 4;

N = length(a)/(m*d) - 1;
a = reshape(a,d*(N+1),m);

figure 
hold on

color = [.9 0 0];

for j=1:2:m
    
    aj = a(:,j);
    plot_profile(aj(1:N+1),[-tau+(j-1)*tau -tau+j*tau],color)
    
end

color = [0 0 0.9];

for j=2:2:m
    
    aj = a(:,j);
    plot_profile(aj(1:N+1),[-tau+(j-1)*tau -tau+j*tau],color)
    
end

axis tight
set(gca,'FontSize',20)
xlabel('$$t$$', 'Interpreter', 'latex', 'FontSize', 30)
ylabel('$$u(t)$$', 'Interpreter', 'latex', 'FontSize', 30)


end

