function [s] = quartic_cheb(a1,a2,a3,a4)

N=length(a1);

a1=[flip(a1(2:N));a1];
a2=[flip(a2(2:N));a2];
a3=[flip(a3(2:N));a3];
a4=[flip(a4(2:N));a4];

ta1=[zeros(2*N,1);a1;zeros(2*N,1)]; tu1=ifft(ifftshift(ta1));
ta2=[zeros(2*N,1);a2;zeros(2*N,1)]; tu2=ifft(ifftshift(ta2));
ta3=[zeros(2*N,1);a3;zeros(2*N,1)]; tu3=ifft(ifftshift(ta3));
ta4=[zeros(2*N,1);a4;zeros(2*N,1)]; tu4=ifft(ifftshift(ta4));

F=fftshift(fft(tu1.*tu2.*tu3.*tu4));
s=real((6*N-1)^3*F(3*N:4*N-1));

end

