function Y0 = compute_Y0_PO_MG(x,par,m,N,A,nu)

d = 4;

f0 = int_F_PO_mg_up_chebyshev_ext(x,par,m); % Size of f0 = (d*(4*N+1))*m+4

Af0_finite = A*padding_PO_MG(f0,m,-3*N);

Y0 = max(sup(abs(Af0_finite(1:4))));
%tot_Y0 = zeros(4,m);

Af0_finite(1:4) = [];
f0(1:4) = [];

Af0_finite = reshape(Af0_finite,d*(N+1),m);
f0 = reshape(f0,d*(4*N+1),m);

omega = [1 2*nu.^abs(1:4*N)]';

for j=1:m
    
    tN = 4*N;
    y0j = f0(:,j);
    y0j1 = y0j(1:tN+1);
    y0j2 = y0j(tN+2:2*tN+2);
    y0j3 = y0j(2*tN+3:3*tN+3);
    y0j4 = y0j(3*tN+4:4*tN+4);
    
    Af0_finitej = Af0_finite(:,j);
    Af0_finitej1 = Af0_finitej(1:N+1);
    Af0_finitej2 = Af0_finitej(N+2:2*N+2);
    Af0_finitej3 = Af0_finitej(2*N+3:3*N+3);
    Af0_finitej4 = Af0_finitej(3*N+4:4*N+4);
    
    y01 = [Af0_finitej1;y0j1(N+2:4*N+1)];
    y02 = [Af0_finitej2;y0j2(N+2:4*N+1)];
    y03 = [Af0_finitej3;y0j3(N+2:4*N+1)];
    y04 = [Af0_finitej4;y0j4(N+2:4*N+1)];
    
    nu_norm_y01 = sup(sum(abs(y01).*omega));
    nu_norm_y02 = sup(sum(abs(y02).*omega));
    nu_norm_y03 = sup(sum(abs(y03).*omega));
    nu_norm_y04 = sup(sum(abs(y04).*omega));
    
    %tot_Y0(1,j) = nu_norm_y01; tot_Y0(2,j) = nu_norm_y02; tot_Y0(3,j) = nu_norm_y03; tot_Y0(4,j) = nu_norm_y04;
    
    Y0_temp = max([nu_norm_y01 nu_norm_y02 nu_norm_y03 nu_norm_y04]);
    %disp(Y0_temp)
    Y0 = max(Y0,Y0_temp);
    
end

end