function [s]=cubic_cheb(a1,a2,a3)

N=length(a1);

a1=[flip(a1(2:N));a1];
a2=[flip(a2(2:N));a2];
a3=[flip(a3(2:N));a3];

ta1=[zeros(N,1);a1;zeros(N,1)]; tu1=ifft(ifftshift(ta1));
ta2=[zeros(N,1);a2;zeros(N,1)]; tu2=ifft(ifftshift(ta2));
ta3=[zeros(N,1);a3;zeros(N,1)]; tu3=ifft(ifftshift(ta3));

F=fftshift(fft(tu1.*tu2.*tu3));

s=real((4*N-1)^2*F(2*N:3*N-1));

end