function dual_norm_a = dual_nu_norm_a(a,nu)

N = length(a) - 1; % N+1 is the number of Chebyshev coefficients per iterate

omega = [1 2*nu.^abs(1:N)];

dual_norm_a = intval(max(sup(abs(a)./omega)));

end
