clc
clear
close all

%%% The code requires INTLAB available at http://www.ti3.tu-harburg.de/rump/intlab/

load PO_mg_period6_02
x = padding_PO_MG(x,m,-5);
x = Newton_F_PO_mg_chebyshev(x,par,m);
x(2:4) = 0;
nu = 1.05; extra_dim_proof = 270; par(4) = 1;

x = padding_PO_MG(x,m,extra_dim_proof);

F = F_PO_mg_up_chebyshev(x,par,m);
disp(' ')
display(['||F||_X = ', num2str(nu_norm_x(F,m,nu))])

disp(['total size = ',num2str(length(x)),', ||F(x)||_inf = ',num2str(norm(F_PO_mg_up_chebyshev(x,par,m),inf))])

[I,success] = rad_poly_m_steps_PO_MG(x,par,m,nu);

disp(['Success = ',num2str(success),', I = [',num2str(I(1)),',',num2str(I(2)),']'])

if success == 1
    plot_periodic_orbit(x,m)
end
