function z13 = z1_3(a,b,c,r_s,nu)

nu = intval(nu); 

abc = rig_convolution([a b c]);

ab = rig_convolution([a b]);
ac = rig_convolution([a c]);
bc = rig_convolution([b c]);

z13_1 = nu_norm_a(abc,nu) ;
z13_2 = nu_norm_a(ab,nu) + nu_norm_a(ac,nu) + nu_norm_a(bc,nu) ;
z13_3 = nu_norm_a(a,nu) + nu_norm_a(b,nu) + nu_norm_a(c,nu) ;

z13 = z13_1 + r_s*(2*nu+1/nu)*(z13_2+r_s*z13_3+r_s^2);

end

