function z24 = z2_4(a,b,c,d,r_s,nu)

abc = rig_convolution([a b c]);
abd = rig_convolution([a b d]);
acd = rig_convolution([a c d]);
bcd = rig_convolution([b c d]);

ab = rig_convolution([a b]);
ac = rig_convolution([a c]);
ad = rig_convolution([a d]);
bc = rig_convolution([b c]);
bd = rig_convolution([b d]);
cd = rig_convolution([c d]);

z24_1 = nu_norm_a(abc,nu) + nu_norm_a(abd,nu) + nu_norm_a(acd,nu) + nu_norm_a(bcd,nu);
z24_2 = nu_norm_a(ab,nu) + nu_norm_a(ac,nu) + nu_norm_a(ad,nu) + nu_norm_a(bc,nu) + nu_norm_a(bd,nu) + nu_norm_a(cd,nu);
z24_3 = nu_norm_a(a,nu) + nu_norm_a(b,nu) + nu_norm_a(c,nu) + nu_norm_a(d,nu);

z24 = (1/4)*(z24_1 + z24_2*r_s + z24_3*r_s^2 + r_s^3);

end

