function Psi = int_compute_Psi_k(alpha,nu)

N = length(alpha) - 1;
Psi = zeros(N+1,1);

alpha_ext = intval([alpha;zeros(2*N,1)]);
M = N;

for k = 1:N
    
   ell = (N+1:k+M)';
   omega = 2*nu.^ell;
   Psi(k+1) = max(sup(abs( alpha_ext(k+ell+1) + alpha_ext(abs(k-ell)+1) )./omega));
    
end


end

